Index: uspace/app/dltest/dltest.c
===================================================================
--- uspace/app/dltest/dltest.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/app/dltest/dltest.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -891,7 +891,9 @@
 #endif /* STATIC_EXE */
 
-//	printf("dlclose()... ");
-//	dlclose(handle);
-//	printf("Passed\n");
+#if 0
+	printf("dlclose()... ");
+	dlclose(handle);
+	printf("Passed\n");
+#endif
 
 	return 0;
Index: uspace/app/trace/trace.c
===================================================================
--- uspace/app/trace/trace.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/app/trace/trace.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -381,6 +381,4 @@
 	rc = udebug_args_read(sess, thread_hash, sc_args);
 
-//	printf("[%d] ", thread_id);
-
 	if (rc != EOK) {
 		printf("error\n");
@@ -454,5 +452,4 @@
 		    &ev_type, &val0, &val1);
 
-//		printf("rc = %d, ev_type=%d\n", rc, ev_type);
 		if (ev_type == UDEBUG_EVENT_FINISHED) {
 			/* Done tracing this thread */
Index: uspace/app/wavplay/wave.c
===================================================================
--- uspace/app/wavplay/wave.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/app/wavplay/wave.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -86,5 +86,5 @@
 		if (error)
 			*error = "invalid subchunk1 size";
-//		return EINVAL;
+		return EINVAL;
 	}
 
@@ -100,5 +100,5 @@
 		if (error)
 			*error = "invalid subchunk2 id";
-//		return EINVAL;
+		return EINVAL;
 	}
 
Index: uspace/drv/audio/hdaudio/codec.c
===================================================================
--- uspace/drv/audio/hdaudio/codec.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/audio/hdaudio/codec.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -129,5 +129,5 @@
 		return rc;
 
-//	ddf_msg(LVL_NOTE, "hda_get_clist_len: resp=0x%x", resp);
+	ddf_msg(LVL_DEBUG2, "hda_get_clist_len: resp=0x%x", resp);
 	*longform = resp & BIT_V(uint32_t, cll_longform);
 	*items = resp & BIT_RANGE_EXTRACT(uint32_t, cll_len_h, cll_len_l, resp);
@@ -238,9 +238,9 @@
     uint32_t *resp)
 {
-//	ddf_msg(LVL_NOTE, "hda_get_amp_gain_mute(codec, %d, %x)",
-//	    node, payload);
+	ddf_msg(LVL_DEBUG2, "hda_get_amp_gain_mute(codec, %d, %x)",
+	    node, payload);
 	errno_t rc = hda_ccmd(codec, node, hda_amp_gain_mute_get, payload, resp);
-//	ddf_msg(LVL_NOTE, "hda_get_amp_gain_mute(codec, %d, %x, resp=%x)",
-//	    node, payload, *resp);
+	ddf_msg(LVL_DEBUG2, "hda_get_amp_gain_mute(codec, %d, %x, resp=%x)",
+	    node, payload, *resp);
 	return rc;
 }
@@ -254,6 +254,6 @@
 static errno_t hda_set_amp_gain_mute(hda_codec_t *codec, int node, uint16_t payload)
 {
-//	ddf_msg(LVL_NOTE, "hda_set_amp_gain_mute(codec, %d, %x)",
-//	    node, payload);
+	ddf_msg(LVL_DEBUG2, "hda_set_amp_gain_mute(codec, %d, %x)",
+	    node, payload);
 	return hda_ccmd(codec, node, hda_amp_gain_mute_set, payload, NULL);
 }
@@ -362,5 +362,5 @@
 	}
 
-//	ddf_msg(LVL_NOTE, "longform:%d len:%d", longform, len);
+	ddf_msg(LVL_DEBUG2, "longform:%d len:%d", longform, len);
 
 	if (longform) {
Index: uspace/drv/audio/hdaudio/hdactl.c
===================================================================
--- uspace/drv/audio/hdaudio/hdactl.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/audio/hdaudio/hdactl.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -644,5 +644,5 @@
 		rc = hda_rirb_read(ctl->hda, &resp);
 		if (rc != EOK) {
-//			ddf_msg(LVL_NOTE, "nothing in rirb");
+			ddf_msg(LVL_DEBUG2, "nothing in rirb");
 			break;
 		}
Index: uspace/drv/audio/hdaudio/hdaudio.c
===================================================================
--- uspace/drv/audio/hdaudio/hdaudio.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/audio/hdaudio/hdaudio.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -374,5 +374,4 @@
 	if (0)
 		ddf_msg(LVL_NOTE, "## interrupt ##");
-//	ddf_msg(LVL_NOTE, "interrupt arg4=0x%x", (int)IPC_GET_ARG4(*icall));
 	hda_ctl_interrupt(hda->ctl);
 
Index: uspace/drv/audio/hdaudio/stream.c
===================================================================
--- uspace/drv/audio/hdaudio/stream.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/audio/hdaudio/stream.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -56,5 +56,5 @@
 	hda_stream_buffers_t *bufs = NULL;
 	size_t i;
-//	size_t j, k;
+	//size_t j, k;
 	errno_t rc;
 
Index: uspace/drv/bus/usb/ehci/hw_struct/queue_head.c
===================================================================
--- uspace/drv/bus/usb/ehci/hw_struct/queue_head.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/bus/usb/ehci/hw_struct/queue_head.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -55,5 +55,7 @@
 
 	EHCI_MEM32_WR(instance->horizontal, LINK_POINTER_TERM);
-//	EHCI_MEM32_WR(instance->current, LINK_POINTER_TERM);
+#if 0
+	EHCI_MEM32_WR(instance->current, LINK_POINTER_TERM);
+#endif
 	EHCI_MEM32_WR(instance->next, LINK_POINTER_TERM);
 	EHCI_MEM32_WR(instance->alternate, LINK_POINTER_TERM);
Index: uspace/drv/bus/usb/uhci/uhci_rh.c
===================================================================
--- uspace/drv/bus/usb/uhci/uhci_rh.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/bus/usb/uhci/uhci_rh.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -246,5 +246,7 @@
 	    UHCI2USB(val, STATUS_CONNECTED_CHANGED, USB_HUB_PORT_STATUS_C_CONNECTION) |
 	    UHCI2USB(val, STATUS_ENABLED_CHANGED, USB2_HUB_PORT_STATUS_C_ENABLE) |
-//	    UHCI2USB(val, STATUS_SUSPEND, USB2_HUB_PORT_STATUS_C_SUSPEND) |
+#if 0
+	    UHCI2USB(val, STATUS_SUSPEND, USB2_HUB_PORT_STATUS_C_SUSPEND) |
+#endif
 	    (hub->reset_changed[port] ?  USB_HUB_PORT_STATUS_C_RESET : 0));
 	RH_DEBUG(hub, port, "Port status %" PRIx32 " (source %" PRIx16
Index: uspace/drv/bus/usb/xhci/hw_struct/trb.h
===================================================================
--- uspace/drv/bus/usb/xhci/hw_struct/trb.h	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/bus/usb/xhci/hw_struct/trb.h	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -48,5 +48,7 @@
 	XHCI_TRB_TYPE_RESERVED = 0,
 
-// Transfer ring:
+	/*
+	 * Transfer ring:
+	 */
 	XHCI_TRB_TYPE_NORMAL,
 	XHCI_TRB_TYPE_SETUP_STAGE,
@@ -58,5 +60,7 @@
 	XHCI_TRB_TYPE_NO_OP,
 
-// Command ring:
+	/*
+	 * Command ring:
+	 */
 	XHCI_TRB_TYPE_ENABLE_SLOT_CMD,
 	XHCI_TRB_TYPE_DISABLE_SLOT_CMD,
@@ -74,7 +78,11 @@
 	XHCI_TRB_TYPE_FORCE_HEADER_CMD,
 	XHCI_TRB_TYPE_NO_OP_CMD,
-// Reserved: 24-31
-
-// Event ring:
+	/*
+	 * Reserved: 24-31
+	*/
+
+	/*
+	 * Event ring:
+	 */
 	XHCI_TRB_TYPE_TRANSFER_EVENT = 32,
 	XHCI_TRB_TYPE_COMMAND_COMPLETION_EVENT,
Index: uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c
===================================================================
--- uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -204,8 +204,10 @@
 	/* modes taken from u-boot, for 1024x768 */
 	// TODO replace magic values with actual correct values
-//	regs->timing_h = 0x1a4024c9;
-//	regs->timing_v = 0x02c00509;
-//	regs->pol_freq = 0x00007028;
-//	regs->divisor  = 0x00010001;
+#if 0
+	regs->timing_h = 0x1a4024c9;
+	regs->timing_v = 0x02c00509;
+	regs->pol_freq = 0x00007028;
+	regs->divisor  = 0x00010001;
+#endif
 
 	/* setup output */
Index: uspace/lib/c/arch/ia32/src/rtld/reloc.c
===================================================================
--- uspace/lib/c/arch/ia32/src/rtld/reloc.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/c/arch/ia32/src/rtld/reloc.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -84,5 +84,7 @@
 
 	for (i = 0; i < rt_entries; ++i) {
-//		DPRINTF("symbol %d: ", i);
+#if 0
+		DPRINTF("symbol %d: ", i);
+#endif
 		r_offset = rt[i].r_offset;
 		r_info = rt[i].r_info;
@@ -100,13 +102,17 @@
 
 		if (sym->st_name != 0) {
-//			DPRINTF("rel_type: %x, rel_offset: 0x%x\n", rel_type, r_offset);
+#if 0
+			DPRINTF("rel_type: %x, rel_offset: 0x%x\n", rel_type, r_offset);
+#endif
 			sym_def = symbol_def_find(str_tab + sym->st_name,
 			    m, ssf_none, &dest);
 			DPRINTF("dest name: '%s'\n", dest->dyn.soname);
-//			DPRINTF("dest bias: 0x%x\n", dest->bias);
+			DPRINTF("dest bias: 0x%x\n", dest->bias);
 			if (sym_def) {
 				sym_addr = (uint32_t)
 				    symbol_get_addr(sym_def, dest, NULL);
-//				DPRINTF("symbol definition found, addr=0x%x\n", sym_addr);
+#if 0
+				DPRINTF("symbol definition found, addr=0x%x\n", sym_addr);
+#endif
 			} else {
 				printf("Definition of '%s' not found.\n",
Index: uspace/lib/c/generic/elf/elf_mod.c
===================================================================
--- uspace/lib/c/generic/elf/elf_mod.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/c/generic/elf/elf_mod.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -298,6 +298,4 @@
 		break;
 	case PT_SHLIB:
-//	case PT_LOPROC:
-//	case PT_HIPROC:
 	default:
 		DPRINTF("Segment p_type %d unknown.\n", entry->p_type);
@@ -397,5 +395,4 @@
 		return EE_OK;
 
-//	printf("set area flags to %d\n", flags);
 	rc = as_area_change_flags(seg_ptr, flags);
 	if (rc != EOK) {
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -287,5 +287,4 @@
 static void remote_usbhid_get_report_descriptor_length(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
 static void remote_usbhid_get_report_descriptor(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-// static void remote_usbhid_(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
 
 /** Remote USB HID interface operations. */
@@ -305,6 +304,4 @@
 };
 
-//usbhc_iface_t *usb_iface = (usbhc_iface_t *) iface;
-
 
 void remote_usbhid_get_event_length(ddf_fun_t *fun, void *iface,
@@ -322,14 +319,5 @@
 
 	size_t len = hid_iface->get_event_length(fun);
-//	if (len == 0) {
-//		len = EEMPTY;
-//	}
 	async_answer_1(chandle, EOK, len);
-
-//	if (len < 0) {
-//		async_answer_0(chandle, len);
-//	} else {
-//		async_answer_1(chandle, EOK, len);
-//	}
 }
 
@@ -352,8 +340,5 @@
 		return;
 	}
-//	/* Check that length is even number. Truncate otherwise. */
-//	if ((len % 2) == 1) {
-//		len--;
-//	}
+
 	if (len == 0) {
 		async_answer_0(data_chandle, EINVAL);
Index: uspace/lib/label/src/gpt.c
===================================================================
--- uspace/lib/label/src/gpt.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/label/src/gpt.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -809,6 +809,6 @@
 	pte->start_lba = host2uint64_t_le(part->block0);
 	pte->end_lba = host2uint64_t_le(eblock);
-//	pte->attributes
-//	pte->part_name
+	//pte->attributes
+	//pte->part_name
 	return EOK;
 }
Index: uspace/lib/posix/src/sys/mman.c
===================================================================
--- uspace/lib/posix/src/sys/mman.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/posix/src/sys/mman.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -45,6 +45,8 @@
 		start = AS_AREA_ANY;
 
-//	if (!((flags & MAP_SHARED) ^ (flags & MAP_PRIVATE)))
-//		return MAP_FAILED;
+#if 0
+	if (!((flags & MAP_SHARED) ^ (flags & MAP_PRIVATE)))
+		return MAP_FAILED;
+#endif
 
 	if (!(flags & MAP_ANONYMOUS))
Index: uspace/lib/posix/src/time.c
===================================================================
--- uspace/lib/posix/src/time.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/posix/src/time.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -216,11 +216,11 @@
 
 	switch (clock_id) {
-		case CLOCK_REALTIME:
-			res->tv_sec = 0;
-			res->tv_nsec = 1000; /* Microsecond resolution. */
-			return 0;
-		default:
-			errno = EINVAL;
-			return -1;
+	case CLOCK_REALTIME:
+		res->tv_sec = 0;
+		res->tv_nsec = 1000; /* Microsecond resolution. */
+		return 0;
+	default:
+		errno = EINVAL;
+		return -1;
 	}
 }
@@ -240,12 +240,12 @@
 
 	switch (clock_id) {
-		case CLOCK_REALTIME:
-			gettimeofday(&tv, NULL);
-			tp->tv_sec = tv.tv_sec;
-			tp->tv_nsec = tv.tv_usec * 1000;
-			return 0;
-		default:
-			errno = EINVAL;
-			return -1;
+	case CLOCK_REALTIME:
+		gettimeofday(&tv, NULL);
+		tp->tv_sec = tv.tv_sec;
+		tp->tv_nsec = tv.tv_usec * 1000;
+		return 0;
+	default:
+		errno = EINVAL;
+		return -1;
 	}
 }
@@ -265,13 +265,13 @@
 
 	switch (clock_id) {
-		case CLOCK_REALTIME:
-			// TODO: setting clock
-			// FIXME: HelenOS doesn't actually support hardware
-			//        clock yet
-			errno = EPERM;
-			return -1;
-		default:
-			errno = EINVAL;
-			return -1;
+	case CLOCK_REALTIME:
+		// TODO: setting clock
+		// FIXME: HelenOS doesn't actually support hardware
+		//        clock yet
+		errno = EPERM;
+		return -1;
+	default:
+		errno = EINVAL;
+		return -1;
 	}
 }
@@ -293,16 +293,16 @@
 
 	switch (clock_id) {
-		case CLOCK_REALTIME:
-			// TODO: interruptible sleep
-			if (rqtp->tv_sec != 0) {
-				async_sleep(rqtp->tv_sec);
-			}
-			if (rqtp->tv_nsec != 0) {
-				async_usleep(rqtp->tv_nsec / 1000);
-			}
-			return 0;
-		default:
-			errno = EINVAL;
-			return -1;
+	case CLOCK_REALTIME:
+		// TODO: interruptible sleep
+		if (rqtp->tv_sec != 0) {
+			async_sleep(rqtp->tv_sec);
+		}
+		if (rqtp->tv_nsec != 0) {
+			async_usleep(rqtp->tv_nsec / 1000);
+		}
+		return 0;
+	default:
+		errno = EINVAL;
+		return -1;
 	}
 }
Index: uspace/lib/usbhid/src/hidreport.c
===================================================================
--- uspace/lib/usbhid/src/hidreport.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/lib/usbhid/src/hidreport.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -172,7 +172,4 @@
 	}
 
-//	uint8_t *report_desc = NULL;
-//	size_t report_size;
-
 	errno_t rc = usb_hid_get_report_descriptor(dev, report_desc, report_size);
 
Index: uspace/srv/fs/exfat/exfat_ops.c
===================================================================
--- uspace/srv/fs/exfat/exfat_ops.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/srv/fs/exfat/exfat_ops.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -1204,5 +1204,7 @@
 
 	if (info != NULL) {
-//		str_cpy(info->label, FS_LABEL_MAXLEN + 1, label);
+#if 0
+		str_cpy(info->label, FS_LABEL_MAXLEN + 1, label);
+#endif
 	}
 
Index: uspace/srv/net/tcp/conn.c
===================================================================
--- uspace/srv/net/tcp/conn.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/srv/net/tcp/conn.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -1422,5 +1422,7 @@
 	if (tcp_conn_lb == tcp_lb_segment) {
 		/* Loop back segment */
-//		tcp_ncsim_bounce_seg(sp, seg);
+#if 0
+		tcp_ncsim_bounce_seg(sp, seg);
+#endif
 
 		/* Reverse the identification */
Index: uspace/srv/net/tcp/service.c
===================================================================
--- uspace/srv/net/tcp/service.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/srv/net/tcp/service.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -567,5 +567,7 @@
 	}
 
-//	tcp_uc_close(cconn->conn);
+#if 0
+	tcp_uc_close(cconn->conn);
+#endif
 	tcp_clistener_destroy(clst);
 	return EOK;
Index: uspace/srv/net/udp/service.c
===================================================================
--- uspace/srv/net/udp/service.c	(revision 4f205248dfb2dd7692ef1b857648ba9d96fe496c)
+++ uspace/srv/net/udp/service.c	(revision 3fafe5e03bb501f8627b315f8e97330dd3996f86)
@@ -87,10 +87,5 @@
 	rqe->cassoc = cassoc;
 
-//	fibril_mutex_lock(&assoc->lock);
 	list_append(&rqe->link, &cassoc->client->crcv_queue);
-//	fibril_mutex_unlock(&assoc->lock);
-
-//	fibril_condvar_broadcast(&assoc->rcv_queue_cv);
-
 	return EOK;
 }
